
package mx.uls.edu.cib4122006.swingui;

import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import javax.swing.JTextField;

public class ConvertidorValidadoUI extends ConvertidorUI {
	
	
	public void iniciar() {
		super.iniciar();
		super.jtfCentigrados.addKeyListener(
				new KeyAdapter() {
					public void keyReleased(KeyEvent elEvento) {
						jtfValidarNumerico(elEvento);	
					}
				}
		);
		super.jtfFahrenheit.addKeyListener(
				new KeyAdapter() {
					public void keyReleased(KeyEvent elEvento) {
						jtfValidarNumerico(elEvento);	
					}
				}
		);
	}
	

	protected void jtfValidarNumerico(KeyEvent elEvento) {
		JTextField fuente = (JTextField)elEvento.getSource();
		String capturado = fuente.getText();
		char [] validos = new char[capturado.length()];
		boolean signoCapturado=false, puntoCapturado=false,valido =true;
		int i;
		for (i=0;i<capturado.length() && valido ;i++){
			char caracter=capturado.charAt(i);
			if (caracter=='.' && !puntoCapturado) {
				valido=!puntoCapturado;
				puntoCapturado=true;
			} else  if (caracter=='-' && !signoCapturado) {
				valido=!signoCapturado;
				signoCapturado=true;
			} else {
			 valido=
			  Character.isDigit(caracter) && valido;
			}
			if (valido) validos[i]=caracter;
		}
		if (!valido){
			Toolkit.getDefaultToolkit().beep();
			String validado = new String(validos,0,i-1);
			fuente.setText(validado);
		}
	}
	
	
	
	public ConvertidorValidadoUI(String titulo) {
		super(titulo);
	}
	public static void main(String [] args){
		ConvertidorValidadoUI ui = new ConvertidorValidadoUI("Convertidor Validado");
		ui.iniciar();
	}


	
	
}
