
package mx.uls.edu.cib4122006.swingui;
import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.ScrollPaneConstants;
import javax.swing.border.TitledBorder;
/**
 * @author Gustavo De la Cruz Tovar
 *
 */
public  abstract class VentanaInicial {
	
	private JFrame frame;
	private JPanel panel;
	private static final String TITULO="VentanaInicial";
	private JTextArea consola;
	
	public VentanaInicial(){
		this.mostrar();
	}
	public  abstract void dibujar();
	
	public void imprimir(String mensaje){
		this.consola.append(mensaje);
	}
	
	public void imprimirnl(){
		this.consola.append("\n");
	}
	
	
	
	private void mostrar(){
		frame = new JFrame(VentanaInicial.TITULO);
		frame.setSize(300,320);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.agregarPanel();
		this.dibujar();
		this.agregarConsola();
		this.frame.setVisible(true);
	}
	
	private void agregarPanel(){
		this.panel = new JPanel();
		this.panel.setBorder(new TitledBorder("Swing"));
		JScrollPane scroller = new JScrollPane(this.panel);
		scroller.setVerticalScrollBarPolicy(
				ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED);
		scroller.setHorizontalScrollBarPolicy(
				ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		this.frame.add(BorderLayout.CENTER,scroller);
	}
	private void agregarConsola(){
		this.consola= new JTextArea(10,10);
		this.consola.setLineWrap(false);
		this.consola.setEditable(false);
		JScrollPane scroller = new JScrollPane(this.consola);
		scroller.setVerticalScrollBarPolicy(
				ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED);
		scroller.setHorizontalScrollBarPolicy(
				ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		this.frame.add(BorderLayout.SOUTH,scroller);
	}
	public Container getContainer(){
		return this.panel;
	}
	
	public JFrame getFrame() {
		return frame;
	}
}
