/*
 * Creado el 08-may-2006
 *
 *
 */
package mx.uls.edu.cib4122006.swingui;

import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.swing.JOptionPane;
import javax.swing.JTextField;

public class ConvertidorValidadoRegExUI extends ConvertidorUI{
	
	private final String expresion = "[+-]?[0-9]+(.[0-9]+)?";
	
	protected boolean validar(JTextField fuente) {
		String capturado = fuente.getText();
		Pattern patron=Pattern.compile(this.expresion);
		Matcher probador=patron.matcher(capturado);
		return probador.matches();
	}
	private void marcarError(){
		Toolkit.getDefaultToolkit().beep();
		JOptionPane.showMessageDialog(null,"Introducir numero real","Error",JOptionPane.ERROR_MESSAGE);
	}
	protected void jtfCentigradosEvento(ActionEvent elEvento) {
		if (this.validar((JTextField)elEvento.getSource())){		
			super.jtfCentigradosEvento(elEvento);
		} else {
			this.marcarError();
			((JTextField)elEvento.getSource()).setText("0.00");
		}
	}
	
	protected void jtfFahrenheitEvento(ActionEvent elEvento) {
		if(	this.validar((JTextField)elEvento.getSource()) ){
			super.jtfFahrenheitEvento(elEvento);
		} else {
			this.marcarError();
			((JTextField)elEvento.getSource()).setText("32.00");
		}
	}
	public ConvertidorValidadoRegExUI(String titulo) {
		super(titulo);
	}
	public static void main(String [] args){
		ConvertidorValidadoRegExUI ui = 
			new ConvertidorValidadoRegExUI("Convertidor Validado RegEx");
		ui.iniciar();
	}
	
	
	
}
