
package mx.uls.edu.cib4122006.swingui;

import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.JTextField;

/**
 * @author gusdelact
 *
 */
public class Emergente extends VentanaInicial {
	private JPopupMenu menu;
	private JTextField jtf;
	
	private class HandlerMenu implements ActionListener {

	
		public void actionPerformed(ActionEvent arg0) {
			JMenuItem fuente= (JMenuItem) arg0.getSource();
			jtf.setText(fuente.getText());

		}

	}
	
	
	private class Handler implements MouseListener {

		private void mostrarEmergente(MouseEvent e){
			if (menu.isPopupTrigger(e)){
				menu.show(e.getComponent(),e.getX(),e.getY());
			}
		}
		public void mouseClicked(MouseEvent arg0) {
		
		}

		public void mousePressed(MouseEvent arg0) {
		  this.mostrarEmergente(arg0);
		}

		public void mouseReleased(MouseEvent arg0) {
		   this.mostrarEmergente(arg0);
		}

		public void mouseEntered(MouseEvent arg0) {

		}

		public void mouseExited(MouseEvent arg0) {

		}

	
	}
	
	
	
	private void construirEmergente(){
		JMenuItem [] opciones = {
			new JMenuItem("Aqui"),
			new JMenuItem("Alla"),
			new JMenuItem("Aca")
		};
		menu = new JPopupMenu();
		HandlerMenu h= new HandlerMenu();
		for (int i=0;i<opciones.length;i++){
		   menu.add(opciones[i]);
		   opciones[i].addActionListener(h);
		}
	}
	
	public void dibujar() {
		Container ct = super.getContainer();
		
		jtf= new JTextField(10);
		this.construirEmergente();
		ct.addMouseListener(new Handler());
		ct.add(jtf);
	}

	public static void main(String[] args) {
		new Emergente();
	}
}
