
package mx.uls.edu.cib4122006.swingui;

import java.awt.Container;
import java.util.Set;
import java.util.TreeMap;

import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 * @author gusdelact
 *
 */
public class Listas extends VentanaInicial {
	private JList lista;
	private TreeMap diccionario;
	
	private void llenarDiccionario(){
		diccionario = new TreeMap();
		diccionario.put("10","Excelencia");
		diccionario.put("09","Muy Bien");
		diccionario.put("08","Bien");
		diccionario.put("07","Regular");
		diccionario.put("06","Suficiente");
		diccionario.put("05","Reprobado");
	}
	
	public void dibujar() {
		this.llenarDiccionario();
		Set llaves=diccionario.keySet();
		Container ct= super.getContainer();
		lista = new JList(llaves.toArray());
		lista.setVisibleRowCount(3);
		lista.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		lista.addListSelectionListener(new Handler());
		JScrollPane scroller= new JScrollPane (lista);
		scroller.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		
		ct.add(scroller);
		
	}

	public static void main(String[] args) {
		new Listas();
	}
	private class Handler implements ListSelectionListener {
		public void valueChanged(ListSelectionEvent lse) {
			if (lse.getValueIsAdjusting()){
				String seleccion = (String) lista.getSelectedValue();
				Object valor = diccionario.get(seleccion);
				imprimir(valor.toString());
				imprimirnl();
			}
		}
	}
}
