
package mx.uls.edu.cib4122006.swingui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.JTextArea;
import javax.swing.JToolBar;

public class MenusUI extends JFrame {
	
	private JMenuBar jmbBarraDeMenus;
	private JMenu jmnuArchivo;
	private JMenuItem jmiAbrir,jmiGuardar,jmiSalir,
	jmiGuardarMismoNombre,jmiGuardarOtroNombre;
	private JToolBar jtbBarra;
	private JButton jbtAbrir,jbtGuardar;
	private JTextArea jtaEditor;
	public MenusUI(String titulo)  {
		super(titulo);
		super.setSize(new Dimension(400,200));
		super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		super.setLayout(new BorderLayout());
		super.setIconImage((new ImageIcon("imagenes/editor.gif")).getImage());
	}
	
	protected void iniciarMenus() {
		this.jmbBarraDeMenus= new JMenuBar();
		//menu archivos
		this.jmnuArchivo= new JMenu();
		this.jmnuArchivo.setMnemonic('A'); this.jmnuArchivo.setText("Archivo");
		//elemento abrir
		this.jmiAbrir= new JMenuItem();
		this.jmiAbrir.setMnemonic('A'); this.jmiAbrir.setText("Abrir...");
		this.jmiAbrir.setFont(new Font("Gigi" ,Font.PLAIN,12));
		//elemento Guardar
		this.jmiGuardar= new JMenu();
		this.jmiGuardar.setMnemonic('G'); this.jmiGuardar.setText("Guardar");
		this.jmiGuardar.setFont(new Font("Gigi" ,Font.PLAIN,12));
		this.jmiGuardarMismoNombre= new JMenuItem();this.jmiGuardarMismoNombre.setText("Mismo Nombre"); 
		this.jmiGuardarMismoNombre.setFont(new Font("Gigi" ,Font.PLAIN,12));this.jmiGuardarMismoNombre.setMnemonic('M');
		this.jmiGuardarOtroNombre= new JMenuItem();
		this.jmiGuardarOtroNombre.setText("Otro Nombre..."); this.jmiGuardarOtroNombre.setMnemonic('O');
		this.jmiGuardarOtroNombre.setFont(new Font("Gigi" ,Font.PLAIN,12));
		this.jmiGuardar.add(this.jmiGuardarMismoNombre);this.jmiGuardar.add(this.jmiGuardarOtroNombre);
		//elemento Salir
		this.jmiSalir= new JMenuItem();
		this.jmiSalir.setMnemonic('S'); this.jmiSalir.setText("Salir");
		this.jmiSalir.setFont(new Font("Gigi" ,Font.PLAIN,12));
		//agregar elementos al menu
		this.jmnuArchivo.add(this.jmiAbrir);this.jmnuArchivo.add(this.jmiGuardar);
		this.jmnuArchivo.add(new JSeparator());this.jmnuArchivo.add(this.jmiSalir);
		this.jmbBarraDeMenus.add(this.jmnuArchivo);
		super.setJMenuBar(this.jmbBarraDeMenus);
		
	}
	private void iniciarBarra() {
		JPanel panel01= new JPanel();
		this.jtbBarra= new JToolBar();
		this.jtbBarra.setLayout(new BorderLayout());
		this.jbtAbrir= new JButton();
		this.jbtAbrir.setIcon(new ImageIcon("imagenes/Abrir.gif"));
		this.jbtGuardar= new JButton();
		this.jbtGuardar.setIcon(new ImageIcon("imagenes/Guardar.gif"));
		
		this.jtbBarra.add(this.jbtAbrir,BorderLayout.EAST); 
		this.jtbBarra.add(this.jbtGuardar,BorderLayout.WEST);
		panel01.add(this.jtbBarra);
		super.getContentPane().add(panel01,BorderLayout.NORTH);
	}
	public void iniciar() {
		this.iniciarMenus();
		this.iniciarBarra();
		this.jtaEditor= new JTextArea();
		this.jtaEditor.setRows(30); this.jtaEditor.setColumns(30);
		super.getContentPane().add(this.jtaEditor,BorderLayout.CENTER);
		super.setVisible(true);
	}
	
	
	public static void main(String[] args) {
		MenusUI ui = new MenusUI("Menus");
		ui.iniciar();
	}
	
}
