
package mx.uls.edu.cib4122006.swingui;

import java.awt.BorderLayout;
import java.io.File;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.event.TreeModelListener;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;


public class NavegadorDirectorio extends JFrame {
	
	private class FileTreeModel implements TreeModel {
		
		public FileTreeModel(File root) {
			super();
			this.root = root;
		}
		private File root;
		
		public Object getRoot() {
			return this.root;
		}
		
		public Object getChild(Object parent, int index) {
			String [] children = ((File)parent).list();
			if ( (children ==null) || (index>=children.length) )
				return null;
			return new File( (File)parent, children[index]);
		}
		
		public int getChildCount(Object parent) {
			String [] children = ((File)parent).list();
			if (children == null) return 0;
			return children.length;
		}
		
		public boolean isLeaf(Object node) {			
			return ((File)node).isFile();
		}
		
		public void valueForPathChanged(TreePath arg0, Object arg1) {
		}
		
		public int getIndexOfChild(Object parent, Object child) {
			String [] children = ((File)parent).list();			
			if (children==null) return -1;
			String name = ((File) child).getName();
			for (int i=0;i < children.length;i++)
				if (children[i].equals(name)) return i;
			return -1;
		}
		
		
		public void addTreeModelListener(TreeModelListener arg0) {
		}
		
		public void removeTreeModelListener(TreeModelListener arg0) {
		}
		
	}
	
	public void iniciar(){
		super.setSize(320,480);
		super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		
		JTree arbol = new JTree();
		arbol.setModel(new FileTreeModel(new File("/")));
		JScrollPane scroll = new JScrollPane(arbol);
		
		super.getContentPane().add(scroll,BorderLayout.CENTER);
		super.setVisible(true);
	}
	public static void main(String[] args) {
		(new NavegadorDirectorio()).iniciar();
	}
	
	
}
